# Interface methods for submodule: VnlHalfHermitianToRealInverseFFTImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import HalfHermitianToRealInverseFFTImageFilterProxy as _HalfHermitianToRealInverseFFTImageFilterProxy


# Interface methods for class: VnlHalfHermitianToRealInverseFFTImageFilter
class VnlHalfHermitianToRealInverseFFTImageFilterProxy(_HalfHermitianToRealInverseFFTImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetSizeGreatestPrimeFactor(self) -> int:
		""""""
		...

